Subject: Re: Great Parking Lots

From: [email-masked] (SilverLakr)
Date: 20 Mar 1995 20:17:49 -0500

There are a couple of good parking lots in Manhattan Beach, CA.  Small
(maybe 20-30 cars apiece) and surface.  On a slope overlooking the ocean &
the MB pier, railings tied in to the pier, some public artwork w/nautical
themes in the corners of the lots.